<?php
/****************************************************************************
** Knjižnica, kjer so zbrane funkcije za izpis različnih formatov podatkov **
** Author: Dave @ zabec.net	 												 			**
** Date: 2007 						 												 			**
****************************************************************************/

/* funkcija skrbi za pretvarjanje imen v povezave (pretvorba nedovoljenih znakov) */
/**********************************************************************************/
	function convertToLink($link)
	{
		$link = strtolower($link);
		$link = str_replace(' ', '_', $link);
		$link = str_replace('č', 'c', $link);
		$link = str_replace('ž', 'z', $link);
		$link = str_replace('š', 's', $link);
		return $link;
	}

/* funkcija skrbi za pretvorbo datuma (in časa) iz baze za prikaz */
/******************************************************************/
	function formatDateFromDB($variable, $type = "")
	{
		$datetime = explode(" ",$variable);
		$date = explode("-",$datetime[0]);
		$time = explode(":",$datetime[1]);

		/* vrnjemo željeni tip (datetime, dateshorttime, date, time, shorttime) */
		switch($type)
		{
			case "dateshorttime":
				/* primer izpisa 07.12.2007 09:16 */
				return "$date[2].$date[1].$date[0] $time[0]:$time[1]";
			break;
			case "date":
				/* primer izpisa 07.12.2007 */
				return "$date[2].$date[1].$date[0]";
			break;
			case "time":
				/* primer izpisa 09:16:30 */
				return $datetime[1];
			break;
			case "shorttime":
				/* primer izpisa 09:16 */
				return "$time[0]:$time[1]";
			break;
			default:
				/* primer izpisa 07.12.2007 09:16:30 */
				return "$date[2].$date[1].$date[0] $datetime[1]";
			break;
		}
	}

/* funkcija skrbi za pretvorbo datuma za vpis v bazo */
/*****************************************************/
	function formatDateToDB($variable, $type = "")
	{
		//preverimo če je spremenljivka veljavna
		if(checkStr($variable, "datum"))	{
			$date = explode(".",$variable);
			return $date[2]."-".$date[1]."-".$date[0];
		}
		//spremenljivka ni veljavna vrnemo trenutni datum
		else {
			return date("Y-m-d");
		}
	}
?>